[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectStack.Pop

Pop the top object of the stack.

## Declaration

Source position: contnrs.pp line 159

`public function TObjectStack.Pop: TObject;`

## Function result

The top object on the stack, or Nil if the stack is empty.

## Description

Pop pops the top object of the stack, and returns the object instance. If there are no more objects on the stack, Nil is returned.

## Errors

None

## See also

TObjectStack.Push |  | Push an object on the stack.
TObjectStack.Peek |  | Look at the top object in the stack.

Documentation generated on: Feb 26 2014